-- DML

INSERT INTO ROLES(ID, ROLE_NAME)
VALUES (1, 'SERVICE');
INSERT INTO ROLES(ID, ROLE_NAME)
VALUES (2, 'USER');
INSERT INTO ROLES(ID, ROLE_NAME)
VALUES (3, 'VENDOR');

INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('SERVICE', 'SERVICE@ROAD-HELP.COM', 'SERVICE', '+123 456 789 00', 1);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('ANDREW', 'andrewgurskiy8@gmail.com', '123456789', '+45 845 545 177', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('MARK', '8@gmail.com', '123456789', '+45 845 545 177', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('JOHN', 'JOHN8@gmail.com', '123456789', '+45 845 545 177', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('ALEXANDER', 'andrei.hurski92@gmail.com', '1111', '+375 29 248 38 00', 2);

INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (4, 'Engine do not run', 'VW', 'PASSAT', 1200, 'WASHINGTON DC', 'NY', true);
INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (5, 'Wheel is over', 'mercedes', 'e220', 1550, 'WASHINGTON DC', 'WARSAW', true);
INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (5, 'Car has crash by meeting with tree)', 'bmw', 'm5', 1400, 'NY', 'WASHINGTON DC', true);
INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (5, 'Window is crash', 'audi', 'A6', 1400, 'NY', 'WASHINGTON DC', false);

INSERT INTO ORDERS(DATE, VENDOR_ID, INCIDENT_ID, PRICE, STATUS)
VALUES (TO_DATE('18-05-1981', 'DD-MM-YYYY'), 2, 1, 234.45, 'COMPLETED');
INSERT INTO ORDERS(DATE, VENDOR_ID, INCIDENT_ID, PRICE, STATUS)
VALUES (TO_DATE('18-05-1990', 'DD-MM-YYYY'), 2, 2, 1000, 'IN_PROCESS');
INSERT INTO ORDERS(DATE, VENDOR_ID, INCIDENT_ID, PRICE, STATUS)
VALUES (TO_DATE('17-11-2000', 'DD-MM-YYYY'), 2, 3, 234.40, 'IN_PROCESS');

INSERT INTO PROPOSALS(VENDOR_ID, INCIDENT_ID, PRICE)
VALUES (2, 4, 234.40);

INSERT INTO VENDOR_STATUS(VENDOR_ID, STATUS)
VALUES (2, 'VERIFY');
INSERT INTO VENDOR_STATUS(VENDOR_ID, STATUS)
VALUES (3, 'ON_VERIFICATION');